﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace MirrorMatch
{
	class Path
	{
		private List<Vector2> pointList;

		public Path()
		{
			pointList = new List<Vector2>();
		}

		public void addPoint(Vector2 point)
		{
			pointList.Add(point);
		}

		public List<LineShape> PointsToLines
		{
			get
			{
				// Will be remade...
				List<LineShape> tmp = new List<LineShape>(pointsToLines(this.pointList).Union(pointsToLines(getPoints(0))));
				return tmp;
			}
		}

		private List<LineShape> pointsToLines(List<Vector2> pointList)
		{
			List<LineShape> lineList = new List<LineShape>();

			if (pointList.Count > 1)
			{
				for (int i = 0; i < pointList.Count - 1; i++)
				{
					lineList.Add(new LineShape(pointList.ElementAt(i), pointList.ElementAt(i + 1)));
				}
			}

			return lineList;
		}

		private List<Vector2> getPoints(int nrOfEdges)
		{
			List<Vector2> list = new List<Vector2>(); // This will be returned
			List<LineShape> tmpLines = pointsToLines(this.pointList);

			return list;
		}

		public void clear()
		{
			this.pointList.Clear();
		}
	}
}
