﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
//using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;

namespace MirrorMatch
{
	class OnlinePlayer : Player
	{

		public OnlinePlayer(Vector2 spawnPosition, string playerId, ScoreData scoreData) : base(spawnPosition, playerId, scoreData)
		{
            energy = 0;
            energyDrainSpeed = 0;
            energyRechargeSpeed = 0;
		}

        public override void onIntersection(LaserRay ray, RayIntersection intersection)
        {
            base.onIntersection(ray, intersection);

            // Local player hit onlinePlayer
            if (health <= 0)
                scoreData.RegisterVictory(ray.OwnerID); //TODO
        }
	}
}
