﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;

namespace MirrorMatch
{
    class Cursor
    {
        private Sprite cursorSprite;
      
        public void LoadContent()
        {
            cursorSprite = new Sprite(ResourceManager.Instance.GetTexture("cursor"));
            cursorSprite.SetSize(12, 18);
            cursorSprite.UseGlobalScaling = false;
        }
        public void Draw(GameTime gameTime, SpriteBatch spriteBatch)
        {
            Vector2 mousePos = new Vector2(Mouse.GetState().X, Mouse.GetState().Y);
            cursorSprite.Draw(spriteBatch, mousePos);
        }

        public Cursor()
        {
            cursorSprite = null;
        }
    }
}
