﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;

namespace MirrorMatch
{
	class Beam
	{
		LaserRay root;

		public Beam(Sprite sprite, string ownerId="Unknown")
		{
			root = new LaserRay(sprite, ownerId);
		}

        public void recalculate(Vector2 originPosition, Vector2 direction, float energy = 100f)
        {
            root.recalculate(energy, originPosition, direction);
        }

		public void draw(SpriteBatch spriteBatch)
		{
			root.draw(spriteBatch);
		}

		public List<Vector2> getLines()
		{
			List<Vector2> pointList = new List<Vector2>();

			root.getPoints(pointList);

			return pointList;
		}
	}
}
