﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Input;

namespace MirrorMatch
{
    class HumanPcController : InGameController
    {
        //TODO? Spara GetState för Keybord och Mouse, lägg till update
        public override bool MoveUp()
        {
            return Keyboard.GetState().IsKeyDown(Keys.W);
        }
        public override bool MoveDown()
        {
            return Keyboard.GetState().IsKeyDown(Keys.S);
        }
        public override bool MoveLeft()
        {
            return Keyboard.GetState().IsKeyDown(Keys.A);
        }
        public override bool MoveRight()
        {
            return Keyboard.GetState().IsKeyDown(Keys.D);
        }
        public override bool Fire()
        {
            return (Mouse.GetState().LeftButton == ButtonState.Pressed);
        }
        public override Vector2 AimDirection(Vector2 position)
        {
            Vector2 aimDirection = new Vector2();
            aimDirection.X = Mouse.GetState().X / MirrorMatch.ScalingFactor - position.X;
			aimDirection.Y = Mouse.GetState().Y / MirrorMatch.ScalingFactor - position.Y;
            return aimDirection;
        }
    }
}
